// 1. Описати своїми словами навіщо потрібні функції у програмуванні.
// Функція - це програмний код, який визначається один раз і може викликатись на виконання n-е кількість разів. 
// Функція може набувати певних значень і повертати результат свого виконання. Одна і та ж функція може 
// працювати в різних місцях коду і виконувати відповідну послідовність команд.
// Тобто, ми використовуємо функції, щоб зменшити кількість коду та систематизувати його. 

// 2. Описати своїми словами, навіщо у функцію передавати аргумент.
// Аргумент - це значення, передане в функцію під час її виклику (використовується під час виконання функції).
// Ми оголошуємо функції, вказуючи їхні параметри, потім викликаємо їх, передаючи аргументи.
// Фактично, аргументи необхідні, щоб активувати наші параметри.
//
// 3. Що таке оператор return та як він працює всередині функції?
// Функція може повернути результат виконання, який буде використовуватися надалі. Для повернення значення 
// використовується ключове слово return. return може бути в будь-якому місці функції. Як тільки до нього доходить 
// керування - функція завершується і значення передається назад у місце, звідки функція була викликана. 
// Загалом, оператор return повертає результат з функції назовні.

let numberOne = +prompt("Введіть перше число");
while (isNaN(numberOne) || numberOne === undefined || numberOne === null || numberOne === " ") {
    numberOne = +prompt("Введіть, будь ласка, перше число");
  }

let sign = prompt("Введіть математичну операцію +, -, *, /");
while (sign !== "+" && sign !== "-" && sign !== "*" && sign !== "/") {
  sign = prompt("Введіть, будь ласка, вірну математичну операцію +, -, *, /");
}

let numberTwo = +prompt("Введіть друге число"); 
while (isNaN(numberTwo) || numberTwo === undefined || numberTwo === null || numberTwo === " ") {
    numberTwo = +prompt("Введіть, будь ласка, друге число");
  } 

function doCalculations (numberOne, numberTwo, sign) {
    switch(sign) {
        case "+": 
        return numberOne + numberTwo;
        case "-": 
        return numberOne - numberTwo;
        case "*": 
        return numberOne * numberTwo;
        case "/": 
        return numberOne / numberTwo;
    }
}

console.log(doCalculations(numberOne, numberTwo, sign));
